Subject: bug#53989: 29.0.50; Gnus searches broken

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 14 Feb 2022 15:45:25 -0800

Michael Heerdegen <[email-masked]> writes:

> Michael Heerdegen <[email-masked]> writes:
>
>> Eric Abrahamsen <[email-masked]> writes:
>>
>> > I'll ask at the same time I post the patch.
>>
>> Thanks.  Meanwhile, I changed
>>
>> base=~/Mail/archive
>>
>> to
>>
>> base=~/Mail/archive/
>>
>> in my .mairixrc and rebuilt the database.  Now the matches have three
>> slashes, like in "/home/micha/Mail/archive///sent/995".
>
> I now tried with
>
> | mh=*
>
> instead of
>
> | mh=...
>
> and that gives me the correct number of slashes, and searching in Gnus
> finally works.
>
> Seems mairix is just not very smart when expanding file names.

Oh... hmm. I wonder if we should actually change the parsing then or
not? What do you think?